Status: Closed Start date: 2009-08-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Hi,

I've bee having problems setting up a project to allow ticket-creation via email for unknown users.  The rake task to fetch the email is

working correctly - it creates the unknown user if required just fine.

However, I can't seem to allow that new user (which wouldn't be a member of any projects) to create issues - even though the 

Create Issues permission is granted to the Non-Member role.

In our case, these users do not have access to our Redmine installation's web site at all - we just want issues to be created via email

from those users.

Installation information:

About your application's environment

Ruby version              1.8.6 (i486-linux)

RubyGems version          1.3.3

Rails version             2.2.2

Active Record version     2.2.2

Action Pack version       2.2.2

Active Resource version   2.2.2

Action Mailer version     2.2.2

Active Support version    2.2.2

Application root          /var/redmine-latest

Environment               production

Database adapter          mysql

Database schema version   20090614091200

About your Redmine plugins

Redmine Repo Pygments plugin         0.0.2

Stuff To Do Plugin                   0.3.0

Redmine Graphs plugin                0.1.0

ezFAQ plugin                         0.3.5

Redmine ezLibrarian plugin           0.1.1

Redmine Exception Handler plugin     0.2.0

Embedded                             0.0.1

Redmine System Notification plugin   0.2.0

Google Calendar Plugin               0.1.0

Charts Plugin                        0.0.12

Timesheet Plugin                     0.5.0

Redmine My Widgets plugin            0.1.0

Redmine Todo Lists plugin            0.0.3.4

Rate Plugin                          0.1.0

Customer plugin                      0.2.0

Budget                               0.2.0

 Thanks for any pointers!

Regards,

Chris

Related issues:
Is duplicate of Redmine - Feature #3584: Allow creating of issues in private ... Closed 2009-07-04

History

#1 - 2009-09-01 10:29 - Chris Platts

I've still not had any luck getting this to work correctly -- are others using the Create Issue/Non-Member permission without any problem?  Is there

anything beyond granting the Create Issue permission to Non-Member that I need to do?

Thanks,

Chris

#2 - 2009-09-29 11:23 - Roland Discein

+1

#3 - 2009-10-01 19:16 - Landon Harsh

+1

#4 - 2009-11-11 19:36 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

There are working tests for this use case. So make sure:

You specify a default project when you invoke the rake task (see RedmineReceivingEmails)

The target project is public

There is no required custom field on issues

#5 - 2009-11-13 09:59 - Kolja K.

If you set up Redmine as an OTRS-like public ticketing system, the target project typically is not public, to avoid people seeing each others tickets.

In my opinion it would be nice if for this use case either there is a third type of projects between public and private OR that "create issues" for non

member simply work for closed projects, too!

Any hint for a place where one could patch Redmine trunk to achieve this now?

#6 - 2009-11-13 11:29 - Jean-Philippe Lang

- Resolution changed from Cant reproduce to Duplicate

Dup of #3584.

#7 - 2009-11-14 19:31 - Kolja K.

Thank you so much!
